ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012061ClearOSapp-suvapublic2016-12-20 13:132016-12-22 09:30
Reporterbchambers 
Assigned Topbaldwin 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version7.3.0 Beta 1 
Target Version7.3.0 Beta 1Fixed in Version7.3.0 Beta 1 
Summary0012061: Uniqueness of hostkey should not require install scripts
DescriptionThink imaging, cloning etc...
Generate hostkey on something like first boot, registration etc.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004441)
pbaldwin (administrator)
2016-12-21 09:26

Typically, the key generation is done on startup, but suvad is not running on most systems. Instead, the key generation was moved to the generic ClearOS "onboot" event (i.e. /var/clearos/events/onboot/suva).
(0004451)
bchambers (administrator)
2016-12-22 08:27

/usr/bin/mkhost.sh doesn't check to see if there is an existing key.

Does onboot happen **only** on first boot, or after every reboot? If latter, we're going to have a problem of course...the hostkey will change if someone reboot the server.
(0004461)
pbaldwin (administrator)
2016-12-22 08:49

Yup, I noticed that issue in my PXE test. Will fix it before Friday.
(0004471)
bchambers (administrator)
2016-12-22 08:57

OK...feel free to hand this to me if you want...I was going to place it in the registration app.

B

- Issue History
Date Modified Username Field Change
2016-12-20 13:13 bchambers New Issue
2016-12-20 14:34 bchambers Assigned To => bchambers
2016-12-20 14:34 bchambers Status new => assigned
2016-12-21 09:22 pbaldwin Assigned To bchambers => pbaldwin
2016-12-21 09:25 pbaldwin Status assigned => resolved
2016-12-21 09:25 pbaldwin Fixed in Version => 7.3.0 Beta 1
2016-12-21 09:25 pbaldwin Resolution open => fixed
2016-12-21 09:26 pbaldwin Note Added: 0004441
2016-12-22 08:27 bchambers Note Added: 0004451
2016-12-22 08:49 pbaldwin Note Added: 0004461
2016-12-22 08:57 bchambers Note Added: 0004471
2016-12-22 09:18 pbaldwin Target Version => 7.3.0 Beta 1
2016-12-22 09:30 pbaldwin Status resolved => closed